query getFluxHelmKustomizationStatusQuery(
  $configuration: LocalConfiguration
  $namespace: String
  $environmentName: String
  $fluxResourcePath: String
) {
  fluxKustomizationStatus(
    configuration: $configuration
    namespace: $namespace
    environmentName: $environmentName
    fluxResourcePath: $fluxResourcePath
  ) @client {
    status
    type
  }
}
